<template>
  <div class="home">

    <div class="type1"/>
    <div class="type2"/>


  </div>
</template>

<script>
// @ is an alias to /src

export default {
  name: 'Home',
  components: {

  }
}
</script>


<style scoped>

.home {
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}


.home div {
  width: 200px;
  height: 200px;
  margin: 2em;
}

.type1 {

  background-image:
    linear-gradient(to right, #c00000 4px, transparent 4px),
    linear-gradient(to bottom, #c00000 4px, transparent 4px),
    linear-gradient(to left, #c00000 4px, transparent 4px),
    linear-gradient(to bottom, #c00000 4px, transparent 4px),
    linear-gradient(to right, #c00000 4px, transparent 4px),
    linear-gradient(to top, #c00000 4px, transparent 4px),
    linear-gradient(to left, #c00000 4px, transparent 4px),
    linear-gradient(to top, #c00000 4px, transparent 4px),
     /* full lines*/
    linear-gradient(to bottom, #c00000 1px, transparent 1px),
    linear-gradient(to right, #c00000 1px, transparent 1px),
    linear-gradient(to top, #c00000 1px, transparent 1px),
    linear-gradient(to left, #c00000 1px, transparent 1px);

  background-position:
    0 0,
    0 0,
    100% 0,
    100% 0,
    0 100%,
    0 100%,
    100% 100%,
    100% 100%,
    0 1px,
    1px 0,
    0 calc(100% - 1px),
    calc(100% - 1px);




  background-repeat: no-repeat;
  background-size:
    15px 15px,
    15px 15px,
    15px 15px,
    15px 15px,
    15px 15px,
    15px 15px,
    15px 15px,
    15px 15px,
    100% 100%,
    100% 100%,
    100% 100%,
    100% 100%;

}

.type2 {
  background-position:  0 0, 100% 0, 0 100%, 100% 100%;
  background-size: 3px 20px, 20px 3px, 3px 20px , 20px 3px;
  background-repeat: no-repeat;

  background-image:
    repeating-linear-gradient(45deg, #c00000, #c00000 10px, transparent 10px, transparent 20px),
    repeating-linear-gradient(135deg, #c00000, #c00000 10px, transparent 10px, transparent 20px),
    repeating-linear-gradient(225deg, #c00000, #c00000 10px, transparent 10px, transparent 20px),
    repeating-linear-gradient(315deg, #c00000, #c00000 10px, transparent 10px, transparent 20px);
}

</style>
